import { OnInit, AfterViewInit, ElementRef, EventEmitter, Renderer2 } from '@angular/core';
import { RangeSliderService } from './range-slider.service';
import { RangeSliderType } from './range-slider.enums';
export declare class RangeSliderComponent implements OnInit, AfterViewInit {
    private _elRef;
    private _renderer;
    private _rangeSliderSerivce;
    type: RangeSliderType;
    title: string;
    min: number;
    max: number;
    step: number;
    connectColor: string;
    unit: string;
    unitPrePos: boolean;
    rangeValue: any[];
    rangeValueChange: EventEmitter<any>;
    sliderConfig: any;
    minLabel: string;
    maxLabel: string;
    constructor(_elRef: ElementRef, _renderer: Renderer2, _rangeSliderSerivce: RangeSliderService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onRangeValueChange($event: any): void;
    onChangeLabels(): void;
    private _setConnectColor;
    private _formatLabels;
}
